## omt 0.1.16

=== Makefile ===
clean:
	(cd man; make clean)

install:
	(cd man; make install DESTDIR=$(DESTDIR))
	mkdir -p $(DESTDIR)/usr/bin
	cp -af mirrortool.pl $(DESTDIR)/usr/bin/mirrortool

=== man/Makefile ===
DA = "OMT documentation."

clean:
	-rm -f *.1.gz

install:
	pod2man --center=$(DA) mirrortool.pod > mirrortool.1
	gzip --best *.1
	mkdir -p $(DESTDIR)/usr/share/man/man1
	install -c -m 644 *.1.gz $(DESTDIR)/usr/share/man/man1

## omt 0.1.13

=== debian/changelog ===
omt (0.1.13) unstable; urgency=low

  * Added support for area tags, thanks to Sebastiaan
    <sebastia@ch.twi.tudelft.nl>.
  * Added proxy support using suggestions from Sebastiaan
    <sebastia@ch.twi.tudelft.nl>.
  * Now uses URI instead of URI::URL.
  * Removed pl extension from man and bin files.

 -- Ola Lundqvist <opal@debian.org>  Mon, 15 Apr 2002 10:11:55 +0200

omt (0.1.12) unstable; urgency=low

  * Fixed missing use of URI:URL.

 -- Ola Lundqvist <opal@debian.org>  Sun,  7 Apr 2002 13:17:41 +0200

omt (0.1.11) unstable; urgency=low

  * Cleaned the build code.
  * Changed upstream homepage.
  * Fixed missing dependency, closes: #131664.
  * Fixed long description, closes: #131016.
  * Fixed policy version.

 -- Ola Lundqvist <opal@debian.org>  Mon,  4 Mar 2002 21:16:53 +0100

omt (0.1.10-3) unstable; urgency=low

  * Removed README.Debian (unnecessary), closes: Bug#81382.
    Also fixed error in copyright file.

 -- Ola Lundqvist <opal@debian.org>  Thu, 21 Dec 2001 16:19:29 +0100

omt (0.1.10-2) unstable; urgency=low

  * Fixed maintainer field in control file.

 -- Ola Lundqvist <opal@debian.org>  Thu, 21 Dec 2000 12:58:21 +0200

omt (0.1.10-1) unstable; urgency=low

  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@debian.org>  Wed, 22 Nov 2000 11:45:01 +0100

omt (0.1.9-1) unstable; urgency=low

  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@lysator.liu.se>  Sat, 29 Jul 2000 23:14:25 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: omt
Section: web
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Build-Depends-Indep: perl, debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: omt
Architecture: all
Depends: ${perl:Depends}, libwww-perl, liburi-perl
Description: A tool for mirroring web pages.
 OpaL Mirror Tool is a program written in perl to mirror web pages or download
 files from the web. It has the powerful ability to rewrite the content of the
 pages to make a fully functional mirror and the user can specify additional
 rewrite rules at the command line.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Changed to fit orm (2000) by Ola Lundqvist.

# Rules to build omt

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
	dh_makeshlibs
	dh_installdeb
	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## omt 0.1.14

=== debian/changelog ===
omt (0.1.14) unstable; urgency=low

  * Updated standards version from 3.5.2 to 3.5.8 (no other changes).
  * Removed full stop from package description.
  * Updated copyright file so it is less template similar.
  * Removed dh_suidregister from rules file.

 -- Ola Lundqvist <opal@debian.org>  Fri, 10 Jan 2003 18:19:40 +0100

=== debian/control ===
Source: omt
Section: web
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Build-Depends-Indep: perl, debhelper (>> 3.0.0)
Standards-Version: 3.5.8

Package: omt
Architecture: all
Depends: ${perl:Depends}, libwww-perl, liburi-perl
Description: A tool for mirroring web pages
 OpaL Mirror Tool is a program written in perl to mirror web pages or download
 files from the web. It has the powerful ability to rewrite the content of the
 pages to make a fully functional mirror and the user can specify additional
 rewrite rules at the command line.

=== debian/rules ===
--- 
+++ 
@@ -65,7 +65,7 @@
 	dh_compress
 	dh_fixperms
 	# You may want to make some executables suid here.
-	dh_suidregister
+	#dh_suidregister
 	dh_makeshlibs
 	dh_installdeb
 	dh_perl

## omt 0.1.16

=== debian/changelog ===
omt (0.1.16) unstable; urgency=low

  * Updated FSF address, updated to latest version of GPL license and
    clarified licenses in some places.
  * Changed build-depends-indep to build-depends for debhelper.
  * Updated to debhelper 4 compatibility from compatibility level 1.
  * Correction in how binary-arch and binary-indep are handled.
  * Updated to standards version 3.7.2 from 3.5.8.

 -- Ola Lundqvist <opal@debian.org>  Mon, 17 Jul 2006 00:22:25 +0200

omt (0.1.15) unstable; urgency=low

  * Minor fix to handle rewrites in CGI script downloads.

 -- Ola Lundqvist <opal@debian.org>  Tue, 11 Jan 2005 22:07:23 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: web
 Priority: optional
 Maintainer: Ola Lundqvist <opal@debian.org>
-Build-Depends-Indep: perl, debhelper (>> 3.0.0)
-Standards-Version: 3.5.8
+Build-Depends-Indep: perl
+Build-Depends: debhelper (>> 4.0.0)
+Standards-Version: 3.7.2
 
 Package: omt
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=1
+export DH_COMPAT=4
 
 build: build-stamp
 build-stamp:
@@ -36,15 +36,15 @@
 	dh_clean -k
 	dh_installdirs
 
-	# Add here commands to install the package into debian/tmp.
-	$(MAKE) install DESTDIR=`pwd`/debian/tmp
+	# Add here commands to install the package into debian/omt.
+	$(MAKE) install DESTDIR=`pwd`/debian/omt
 
 # Build architecture-independent files here.
-binary-indep: build install
+binary-arch:
 # We have nothing to do by default.
 
 # Build architecture-dependent files here.
-binary-arch: build install
+binary-indep: build install
 #	dh_testversion
 	dh_testdir
 	dh_testroot
